package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:evt:EVT - Event Log
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Evt {

        //Internal Unique ID of Event
        private String inr = NULLSTR;

        //INR of Session
        private String ssninr = NULLSTR;

        //Table Used to Store Associated Object or Type of Event
        private String objtyp = NULLSTR;

        //INR of Object
        private String objinr = NULLSTR;

        //Timestamp
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim = NULLDATE;

        //Return Code of Function
        private String rtn = NULLSTR;

        //Textual Event Description
        private String txt = NULLSTR;

        //Archived Flag 'A', 'N'
        private String arcflg = NULLSTR;

        //User ID Duplicate from SSN
        private String usr = NULLSTR;

        //Frame by which the Event is Created
        private String frm = NULLSTR;

        //Entity of User when Event happened
        private String etyextkey = NULLSTR;
}