package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:txform:备案表信息
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Txform extends AbstractCommonVo {

        //Internal Unique ID
        private String inr = NULLSTR;

        //备案表编号
        private String rcrdno = NULLSTR;

        //备案日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rcrddt = NULLDATE;

        //境内支付人机构名称或个人姓名
        private String payernm = NULLSTR;

        //境内支付人纳税识别号
        private String taxpyidnfno = NULLSTR;

        //境内支付人地址或住所
        private String payeradr = NULLSTR;

        //境内支付人付汇银行
        private String pymtbnknm = NULLSTR;

        //付汇账号
        private String pymtacctno = NULLSTR;

        //联系人
        private String ctcprsnnm = NULLSTR;

        //联系电话
        private String ctctelno = NULLSTR;

        //主管税务机关代码
        private String satraptxtnofccd = NULLSTR;

        //主管税务机关
        private String satraptxtnofcnm = NULLSTR;

        //境外收款人名称
        private String payeenm = NULLSTR;

        //境外收款人所属国家或地区
        private String payeectrynm = NULLSTR;

        //境外收款人地址
        private String payeeadr = NULLSTR;

        //收汇银行
        private String clctnbnknm = NULLSTR;

        //收汇账号
        private String clctnacctno = NULLSTR;

        //合同名称
        private String ctrnm = NULLSTR;

        //合同号
        private String ctrno = NULLSTR;

        //合同金额（或支付标准）
        private String ctramt = NULLSTR;

        //币种
        private String ccy = NULLSTR;

        //合同签订日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sgntrdt = NULLDATE;

        //合同执行期限（起）
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date bgndt = NULLDATE;

        //合同执行期限（止）
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddt = NULLDATE;

        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date crttim = NULLDATE;

        //国结流水号
        private String srvnum = NULLSTR;

        //核验结果
        private String checkresult = NULLSTR;

        //备案表状态
        private String sta = NULLSTR;

        //操作标志
        private String doflg = NULLSTR;

        //金融机构标识码
        private String decnum = NULLSTR;

        //TRN inr
        private String trninr = NULLSTR;





































}