package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:zmqxrt:XRT - Exchange Rate
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Zmqxrt {

        //Internal Unique ID
        private String inr = NULLSTR;

        //Currency
        private String cur = NULLSTR;

        //Begin Date Incl.
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date begdat = NULLDATE;

        //End Date Excl.
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date enddat = NULLDATE;

        //Buying Rate
        private  BigDecimal buyrat  = Decimals.ZERO_SCALE6;

        //Middle Rate
        private  BigDecimal midrat  = Decimals.ZERO_SCALE6;

        //Selling Rate
        private  BigDecimal selrat  = Decimals.ZERO_SCALE6;

        //Special Buying Rate
        private  BigDecimal ttrrat  = Decimals.ZERO_SCALE6;

        //Bills Purchase Rate
        private  BigDecimal odrrat  = Decimals.ZERO_SCALE6;

        //Version
        private String ver = NULLSTR;

        //Reference Selling Rate
        private  BigDecimal resrat  = Decimals.ZERO_SCALE6;

        //Reference Buying  Rate
        private  BigDecimal rebrat  = Decimals.ZERO_SCALE6;

        //Internal Balance Sheet Rate
        private  BigDecimal ibrrat  = Decimals.ZERO_SCALE6;

        //Selling Rate 1
        private  BigDecimal sel1rat  = Decimals.ZERO_SCALE6;

        //Buying Rate 1
        private  BigDecimal buy1rat  = Decimals.ZERO_SCALE6;

        //Entity Group of Exchange Rate
        private String etgextkey = NULLSTR;

        //Time of XRT
        private String xrttim = NULLSTR;

        //操作标志
        private String caozbz = NULLSTR;

        //参数说明
        private String canssm = NULLSTR;
}