package com.brilliance.isc.bo.auto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 自动化签约信息
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AutoSignInfo {
    //Internal Unique ID
    private String inr = NULLSTR;
    //签约渠道
    private String channel = NULLSTR;
    //汇款类型
    private String paytyp = NULLSTR;
    //客户号
    private String extkey = NULLSTR;
    //客户名称DbiexrStoreVo
    private String nam = NULLSTR;
    //客户分类

    //是否跨境人民币业务重点监管名单

    //收款人居民标志
    private String mantyp = NULLSTR;

    //企业分类认定

    /****************签约列表******************/
    //业务类型
    private String bustyp = NULLSTR;

    //签约场景
    private String scenecode = NULLSTR;


    //交易对手是否必输（Y必输N非必输）
    private String hascountpty = NULLSTR;

    //创建时间
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date creatim = NULLDATE;

    //签约所属机构
    private String branchinr = NULLSTR;

    //签约状态（1有效0无效）
    private String sta = NULLSTR;

    //我行客户账号
    private String act = NULLSTR;

    private String ptainr = NULLSTR;

    private String ptyinr = NULLSTR;

    private String cur = NULLSTR;

    private String actpro = NULLSTR;
}
