package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:tge:金融衍生品交易信息（2180）期权信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tge extends AbstractCommonVo {
    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //objtyp
    private String objtyp = NULLSTR;

    //objinr
    private String objinr = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //明细操作类型
    private String listopertype = NULLSTR;

    //明细主键
    private  int seqno ;

    //名义本金
    private BigDecimal notionalamt  = Decimals.ZERO_SCALE2;

    //币种
    private String currencycode = NULLSTR;

    //名义本金1
    private  BigDecimal notionalamt1  = Decimals.ZERO_SCALE2;

    //币种1
    private String currencycode1 = NULLSTR;

    //交易日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date tradedate = NULLDATE;

    //行权日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date exedate = NULLDATE;

    //行权价
    private  BigDecimal exeprice  = Decimals.ZERO_SCALE8;

    //交易方向
    private String tradedirection = NULLSTR;

    //期权�'�
    private  BigDecimal optionamt  = Decimals.ZERO_SCALE2;

    //行权方式
    private String exeway = NULLSTR;

    //交割日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date delidate = NULLDATE;

    //数据状态
    private String csta = NULLSTR;

    //确认
    private String acp;
}
