package com.brilliance.isc.transfer.transaction;

import com.brilliance.mda.runtime.mda.util.MdaUtils;
import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.lg.GitpseStoreBo;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.vo.lg.GitpseStoreVo;
import com.brilliance.isc.vo.model.Gcacbs;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;


/**
 * Gitame Bo、Vo之间的转换处理类。如果有很复杂的函数，则可以用适配器模式重写
 */
@Mapper(componentModel = "spring",uses = {
        IGctMapper.class, IGitMapper.class,
        INitMapper.class, INctMapper.class, IOtherModMapper.class}
        )
public interface GitpseStructMapper extends IBaseStructMapper<GitpseStoreBo, GitpseStoreVo> {

    /**
     * 此行语句一定要写，StructMapper需要
     */
    GitpseStructMapper INSTANCE = Mappers.getMapper(GitpseStructMapper.class);

    /**
     * Vo转为Bo
     *
     * @param vo
     * @return 返回业务Bo
     */
    @Override
    GitpseStoreBo voTransferToBo(GitpseStoreVo vo);

    /**
     * Vo追加更新至Bo
     * 忽略oldgrp的复制
     * @param vo
     * @param bo
     */
    @Override
    @Mappings({
            @Mapping(target = "gidgrp",ignore = true),
//            @Mapping(target = "gcdgrp",ignore = true)
    })
    void voUpdateToBo(GitpseStoreVo vo, @MappingTarget GitpseStoreBo bo);

    @AfterMapping
    default void afterUpdate(GitpseStoreVo vo, @MappingTarget GitpseStoreBo bo){
//        bo.getGcdgrp().getRec().setFrepayflg(vo.getGcdgrp().getRec().getFrepayflg());
        bo.getGidgrp().getRec().setCmtflg(vo.getGidgrp().getRec().getCmtflg());
        bo.getGidgrp().getRec().setRptref(vo.getGidgrp().getRec().getRptref());
        bo.getGidgrp().getRec().setInvref(vo.getGidgrp().getRec().getInvref());
////    Gcacbs cbs = vo.getGcdgrp().getCbs();
////        if(cbs==null){
////        return;
////    }
////    Cbb opn1 = cbs.getOpn1();
////        bo.getGcdgrp().getCbs().setOpn1(opn1);
}

    /**
     * Bo转为Vo
     *
     * @param bo
     * @return 返回Vo
     */
    @Override
    GitpseStoreVo boTransferToVo(GitpseStoreBo bo);

    /**
     * bo追加更新至Bo
     *
     * @param bo
     * @param vo
     */
    @Override
    void boUpdateToVo(GitpseStoreBo bo, @MappingTarget GitpseStoreVo vo);
}
