package com.brilliance.isc.vo.collection;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 光票托收入口交易查询条件字段
 */
@Data
public class CctselQueryVo extends CommonResult {

    /**
     * 机构类型
     */
    private String bchtyp;
    /**
     * 光票托收主表唯一编号
     */
    private String bodinr;

    /*
    光票托收业务编号
     */
    private String seaownref;


    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
    /**
     * 寄单开始日期
     */
    private String opndatfrom;
    /**
     * 寄单截止日期
     */
    private String opndatto;

    /**
     * 客户号/名称
     */
    private String searef;
   
    /**
     * 是否闭卷
     */
    private String isClosed;
    /**
     * 客户号
     */
    private String ptyExtkey;
    /**
     * 当事人BIC/名称
     */
    private String seapty;
    /**
     * 业务状态
     */
    private String  seasta;
    /**
     *付款方式
     */
    private String seadoctyp;
    /**
     * //币种
     */
    private String seacur;
    /**
     * //金额
     */
    private BigDecimal seaamt;
    /**
     * //金额
     */
    private BigDecimal seaamtfr;
    /**
     * //金额
     */
    private BigDecimal seaamtto;
    /**
     * //保兑指示
     */
    private String seacnfdet;
    /**
     * //货物类型
     */
    private String seagodcod;

    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;
}
