package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:ghd:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GhdVo {

    //ID号
    private String inr = NULLSTR;

    //Reference
    private String ownref = NULLSTR;

    //关联TRN表
    private String trninr = NULLSTR;

    //关联对象表
    private String objtyp = NULLSTR;

    //关联GIDINR
    private String objinr = NULLSTR;

    //特殊保函类型
    private String segtyp = NULLSTR;

    //业务类型
    private String bustyp = NULLSTR;

    //仓库号
    private String wahnum = NULLSTR;

    //备注
    private String remark = NULLSTR;

    //保函开立状态
    private String opnsta = NULLSTR;

    //保函修改状态
    private String amesta = NULLSTR;

    //保函撤消状态
    private String cansta = NULLSTR;

    //原金额
    private BigDecimal oldamt = Decimals.ZERO_SCALE2;

    //原效期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date olddat = NULLDATE;

    //错误信息
    private String errmsg = NULLSTR;

    //FLG
    private String flg = NULLSTR;

    //版本号
    //private String ver = NULLSTR;

    //申请人名称关税保函专用
    private String aplnam = NULLSTR;

    //统一社会信用代码
    private String idcode = NULLSTR;

    //追�'�截止天数
    private String zsjzts = NULLSTR;

    //被担保人法定代表人
    private String bdbdbr = NULLSTR;

    //被担保人地址
    private String bdbrdz = NULLSTR;

    //被担保人联系电话
    private String bdbrdh = NULLSTR;

    //担保银行名称
    private String dbyhmc = NULLSTR;

    //担保银行法定代表人
    private String dbyhdb = NULLSTR;

    //担保银行地址
    private String dbyhdz = NULLSTR;

    //担保银行联系电话
    private String dbyhdh = NULLSTR;

    //申请人法定代表人
    private String sqrdbr = NULLSTR;

    //申请人地址
    private String sqradr = NULLSTR;

    //申请人联系电话
    private String sqrtel = NULLSTR;

    //备用字段1
    private String beyzd1 = NULLSTR;

    //备用字段2
    private String beyzd2 = NULLSTR;

    //备用字段3
    private String beyzd3 = NULLSTR;

    //备用字段4
    private String beyzd4 = NULLSTR;

    //备用字段5
    private String beyzd5 = NULLSTR;

    //备用字段6
    private String beyzd6 = NULLSTR;

    //多个受益海关关区汇总征税保函专用
    private String ptyhgq = NULLSTR;

    //已经生效的受益关区
    private String ptyhsx = NULLSTR;

    //被担保人名称
    private String bdbrmc = NULLSTR;

    //申请人企业代码统一社会信用代码
    private String sqqydm = NULLSTR;

    //申请人名称
    private String sqrnam = NULLSTR;

    //申请人企业海关注册编码
    private String sqqyhg = NULLSTR;
}