package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:gidcxm:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GidcxmVo {

    //Internal Unique ID of gidcxm
    private String inr = NULLSTR;

    //查询码
    private String quycod = NULLSTR;

    //Reference
    private String ownref = NULLSTR;

    //Currency
    private String cur = NULLSTR;

    //Balance
    private BigDecimal amt = Decimals.ZERO_SCALE2;

    //Valid from
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndat = NULLDATE;

    //Valid until
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date expdat = NULLDATE;

    //被保证人
    private String warran = NULLSTR;

    //受益人
    private String benefi = NULLSTR;

    //Release Status
    private String relflg = NULLSTR;

    //Date of Commit
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date comdat = NULLDATE;

    //Frame Used to Create the Transaction
    private String inifrm = NULLSTR;

    //inr of gid
    private String gidinr = NULLSTR;

    //inr of trn
    private String trninr = NULLSTR;

    //是否显示查询码
    private String cxmflg = NULLSTR;
}