package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的对公客户管理系统接口
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerEcifServer {

    /**
     * 0904 对公ECIF系统提供客户信息列表查询模糊查询客户信息
     *
     * @param innerReq0904
     * @return
     */
    @PostMapping("/0904")
    InnerRes<InnerRes0904> call0904(InnerReq<InnerReq0904> innerReq0904);

    /**
     * 0905 对公ECIF系统提供客户信息详细查询响应
     *
     * @param innerReq0905
     * @return
     */
    @PostMapping("/0905")
    InnerRes<InnerRes0905> call0905(InnerReq<InnerReq0905> innerReq0905);

    /**
     * 0930 对公ECIF系统提供客户管户信息列表查询
     *
     * @param innerReq0930
     * @return
     */
    @PostMapping("/0930")
    InnerRes<InnerRes0930> call0930(InnerReq<InnerReq0930> innerReq0930);

    /**
     * 0958 对公客户基本身份信息校验
     *
     * @param innerReq0958
     * @return
     */
    @PostMapping("/0958")
    InnerRes<InnerRes0958> call0958(InnerReq<InnerReq0958> innerReq0958);
}
