package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * CL44 额度释放请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL44 extends AbsReqNew {

    public ReqCL44() {
    }

    public ReqCL44(String ECIFNO, String KEHUMC, String GUIYID, String YEWUCJ, String GJJYBM, List<ItemFCL441> FCL441, List<ItemFCL442> FCL442) {
        this.ECIFNO = ECIFNO;
        this.KEHUMC = KEHUMC;
        this.GUIYID = GUIYID;
        this.YEWUCJ = YEWUCJ;
        this.GJJYBM = GJJYBM;
        this.FCL441 = FCL441;
        this.FCL442 = FCL442;
    }

    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 柜员号[0,20]
     */
    public String GUIYID;
    /**
     * 业务场景[0,10]
     */
    public String YEWUCJ;
    /**
     * 国结交易编码[0,10]
     */
    public String GJJYBM;
    /**
     * 客户ECIF号[0,40]
     */
    public List<ItemFCL441> FCL441 = new ArrayList<>();

    public List<ItemFCL442> FCL442 = new ArrayList<>();

    public static class ItemFCL441 {
        /**
         * 业务编号[0,40]
         */
        public String YEWUNO;
        /**
         * 业务币种[0,40]
         */
        public String BIZHON;
        /**
         * 业务余额[0,24]
         */
        public String YEWUYE;
        /**
         * 保证金余额[0,24]
         */
        public String BZJYUE;
        /**
         * 拟恢复额度[0,24]
         */
        public String HFJINE;
    }

    public static class ItemFCL442 {
        /**
         * 业务编号[0,40]
         */
        public String YEWUNO;
        /**
         * 同业ECIF客户号[0,40]
         */
        public String TYKHBH;
        /**
         * 同业SWIFT号[0,40]
         */
        public String TYSWIT;
        /**
         * 拟恢复同业额度[0,24]
         */
        public String HFTYED;
    }

}
