package com.brilliance.isc.esb.model.inner;

import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * 0958 对公客户基本身份信息校验
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes0958 extends ErrorData {
    /**
     * 起始笔数[0,4]
     */
    public String begRecNo;

    /**
     * 查询笔数[0,4]
     */
    public String recSize;

    /**
     * 总笔数[0,4]
     */
    public String ttlRecSize;
    /**
     * 提示类检核结果标志[0,1]
     * 提示类检核结果标志（0:不存在错误信息 1：存在错误信息）
     */
    public String cueFlag;
    /**
     * 限制类检核结果标志[0,1]
     * 限制类检核结果标志（0:不存在错误信息 1：存在错误信息）
     */
    public String limitFlag;
    /**
     * 是否为白名单客户[0,1]
     * 是否为白名单客户（0：是    1：否）
     */
    public String whiteList;
    /**
     * 客户号[0,10]
     */
    public String orgNo;
    /**
     * 备用字段3[0,80]
     */
    public String attribute3;

    /**
     * 备用字段4[0,80]
     */
    public String attribute4;

    /**
     * 备用字段5[0,200]
     */
    public String attribute5;

    /**
     * 备用字段6[0,200]
     */
    public String attribute6;

    public List<Item0958> lst0958 = new ArrayList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item0958 {
        /**
         * 字段名称[0,100]
         */
        public String filedName;
        /**
         * 字段中文名称[0,100]
         */
        public String filedCname;
        /**
         * 字段值[0,500]
         */
        public String filedValue;
        /**
         * 检核结果[0,500]
         */
        public String validResults;
        /**
         * 检核标识[0,1]
         */
        public String validFlag;
        /**
         * 备用字段7[0,80]
         */
        public String attribute7;
        /**
         * 备用字段8[0,80]
         */
        public String attribute8;
        /**
         * 备用字段9[0,200]
         */
        public String attribute9;

        /**
         * 备用字段10[0,200]
         */
        public String attribute10;
    }

    public InnerRes0958() {
    }

    public InnerRes0958(String begRecNo, String recSize, String ttlRecSize, String cueFlag, String limitFlag, String whiteList, String orgNo, String attribute3, String attribute4, String attribute5, String attribute6, List<Item0958> lst0958) {
        this.begRecNo = begRecNo;
        this.recSize = recSize;
        this.ttlRecSize = ttlRecSize;
        this.cueFlag = cueFlag;
        this.limitFlag = limitFlag;
        this.whiteList = whiteList;
        this.orgNo = orgNo;
        this.attribute3 = attribute3;
        this.attribute4 = attribute4;
        this.attribute5 = attribute5;
        this.attribute6 = attribute6;
        this.lst0958 = lst0958;
    }
}
